Subject: RE: [nmrg] Re: snmp trace analysis meeting
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Oct 2007 17:37:07 +0200
List-Id: Network Management Research Group <nmrg.ibr.cs.tu-bs.de>

I certainly would not want to interfere with a group of folks who want
to meet in order to do useful work! Please go ahead with your plans and
name the meeting whatever you want or need to call it in order to make
it happen. I was merely excusing myself. I suggest however to have
somebody report in the OPS area open meeting in Vancouver about the
meeting (workshop). 

Dan

 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen 
> Schoenwaelder
> Sent: Tuesday, October 23, 2007 5:27 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]
> Subject: Re: [nmrg] Re: snmp trace analysis meeting
> 
> On Tue, Oct 23, 2007 at 05:11:07PM +0200, Romascanu, Dan (Dan) wrote:
>  
> > I see that this is now announced as a NMRG meeting, while 
> the previous 
> > message in September was talking about a workshop and using 
> > conditional mode. When was the announcement for this meeting sent?
> 
> Oh, we can call this a workshop if that helps. ;-) In fact, 
> the wording in the original message sent out on September 
> 17th was not very precise so this is indeed my fault 
> (although I meant it to be a joint NMRG meeting / EMANICS WP7 
> workshop from the beginning I obviously confused the terminology).
> 
> > Today is well beyond the usual 30 days announcement window for the 
> > IETF activities.  Maybe the IRTF research groups need not 
> conform to 
> > this rule, I do not know.
> 
> RFC 2014 is actually silent about this. I know this 30 days 
> rule exists for IETF meetings - but where is this actually 
> stated? RFC 2026 does not say this so it must be somewhere 
> else. (I am just curious what the precise language is and 
> whether it applies - if it does, we probably have to kill this event.)
> 
> > In any case I cannot make it to the meeting on such short notice.
> > Other people may be in the same situation. Did you consider 
> having a 
> > meeting at the IETF meeting in Vancouver instead?
> 
> The problem is that most people actively working on things 
> are located in Europe and there is no way to fly them all 
> over to Vancouver. And then it is difficult or expensive to 
> actually get 1.5 days of meeting time next to an IETF meeting.
> 
> My idea is to get some work done in Enschede and then to 
> report at one of the subsequent IETFs using a shorter IETF 
> session slot the major outcome of this work (if there is 
> any). This seemed to have worked in the recent past.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> --
> !! This message is brought to you via the `nmrg' mailing list.
> !! Please do not reply to this message to unsubscribe. To 
> unsubscribe or adjust !! your settings, send a mail message 
> to <[email-masked]> !! or look at 
> https://mail.ibr.cs.tu-bs.de/mailman/listinfo/nmrg.
> 

Date: Tue, 23 Oct 2007 17:26:37 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: "Romascanu, Dan (Dan)" <[email-masked]>
Subject: Re: [nmrg] Re: snmp trace analysis meeting
Mail-Followup-To: "Romascanu, Dan (Dan)" <[email-masked]>, [email-masked]
Cc: [email-masked]
Reply-To: [email-masked]

On Tue, Oct 23, 2007 at 05:11:07PM +0200, Romascanu, Dan (Dan) wrote:
 
> I see that this is now announced as a NMRG meeting, while the
> previous message in September was talking about a workshop and using
> conditional mode. When was the announcement for this meeting sent?

Oh, we can call this a workshop if that helps. ;-) In fact, the
wording in the original message sent out on September 17th was not
very precise so this is indeed my fault (although I meant it to be a
joint NMRG meeting / EMANICS WP7 workshop from the beginning I
obviously confused the terminology).

> Today is well beyond the usual 30 days announcement window for the
> IETF activities.  Maybe the IRTF research groups need not conform to
> this rule, I do not know.

RFC 2014 is actually silent about this. I know this 30 days rule
exists for IETF meetings - but where is this actually stated? RFC 2026
does not say this so it must be somewhere else. (I am just curious
what the precise language is and whether it applies - if it does, we
probably have to kill this event.)

> In any case I cannot make it to the meeting on such short notice.
> Other people may be in the same situation. Did you consider having a
> meeting at the IETF meeting in Vancouver instead?

The problem is that most people actively working on things are located
in Europe and there is no way to fly them all over to Vancouver. And
then it is difficult or expensive to actually get 1.5 days of meeting
time next to an IETF meeting.

My idea is to get some work done in Enschede and then to report at one
of the subsequent IETFs using a shorter IETF session slot the major
outcome of this work (if there is any). This seemed to have worked in
the recent past.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

Content-class: urn:content-classes:message
Subject: RE: [nmrg] Re: snmp trace analysis meeting
Date: Tue, 23 Oct 2007 17:11:07 +0200
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>, <[email-masked]>

Juergen,

I see that this is now announced as a NMRG meeting, while the previous
message in September was talking about a workshop and using conditional
mode. When was the announcement for this meeting sent? Today is well
beyond the usual 30 days announcement window for the IETF activities.
Maybe the IRTF research groups need not conform to this rule, I do not
know. In any case I cannot make it to the meeting on such short notice.
Other people may be in the same situation. Did you consider having a
meeting at the IETF meeting in Vancouver instead? 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Juergen 
> Schoenwaelder
> Sent: Tuesday, October 23, 2007 4:30 PM
> To: [email-masked]
> Subject: [nmrg] Re: snmp trace analysis meeting
> 
> On Mon, Sep 17, 2007 at 04:54:48PM +0200, Juergen Schoenwaelder wrote:
> > Hi,
> > 
> > despite the lack of progress on the measurement ID, there are 
> > continued efforts to collect additional SNMP traces and to do some 
> > more advanced analysis on the collected traces:
> > 
> > 1) Folks at the University of Twente have been working recently on
> >    algorithms to extract the non-periodic traffic out of SNMP traces
> >    (the more interesting stuff hidden in the periodic polls).
> > 
> > 2) Folks at Jacobs University have tried to identify table retrieval
> >    algorithms used by management applications.
> > 
> > 3) Folks at PSNC have applied some of the analysis tools and
> >    techniques to their networks and developed some further 
> ideas what
> >    to look for in the collected traces.
> > 
> > In order to discuss ongoing trace analysis work and to 
> identify a core 
> > set of common definitions or metrics, it was suggested to 
> hold a two 
> > day workshop on November 8-9 2007, hosted by the University 
> of Twente 
> > in Enschede, Netherlands. This workshop would be sponsored by the 
> > European EMANICS project.
> > 
> > Please send comments about this proposal to this list. If 
> you plan to 
> > attend such a workshop, please also drop me a note.
> 
> I got some private requests and I started to create an agenda 
> for the proposed meeting. It is available from the NMRG web pages:
> 
> http://www.ibr.cs.tu-bs.de/projects/nmrg/meetings/2007/enschede/
> 
> This is still subject to change as we are finalizing some 
> more topics/ideas. The first day, we will collect some 
> reports about what people are doing related to the Internet 
> management framework and in particular to SNMP trace 
> analysis. During the second day, we try to work out common 
> metrics and terminology for SNMP trace analysis.
> 
> We are still open for additional topics and people to attend 
> the meeting.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> --
> !! This message is brought to you via the `nmrg' mailing list.
> !! Please do not reply to this message to unsubscribe. To 
> unsubscribe or adjust !! your settings, send a mail message 
> to <[email-masked]> !! or look at 
> https://mail.ibr.cs.tu-bs.de/mailman/listinfo/nmrg.
> 

Date: Tue, 23 Oct 2007 16:29:39 +0200
From: Juergen Schoenwaelder <[email-masked]>
To: [email-masked]
Mail-Followup-To: [email-masked]
Subject: [nmrg] Re: snmp trace analysis meeting
Reply-To: [email-masked]

On Mon, Sep 17, 2007 at 04:54:48PM +0200, Juergen Schoenwaelder wrote:
> Hi,
> 
> despite the lack of progress on the measurement ID, there are
> continued efforts to collect additional SNMP traces and to do some
> more advanced analysis on the collected traces:
> 
> 1) Folks at the University of Twente have been working recently on
>    algorithms to extract the non-periodic traffic out of SNMP traces
>    (the more interesting stuff hidden in the periodic polls).
> 
> 2) Folks at Jacobs University have tried to identify table retrieval
>    algorithms used by management applications.
> 
> 3) Folks at PSNC have applied some of the analysis tools and
>    techniques to their networks and developed some further ideas what
>    to look for in the collected traces.
> 
> In order to discuss ongoing trace analysis work and to identify a core
> set of common definitions or metrics, it was suggested to hold a two
> day workshop on November 8-9 2007, hosted by the University of Twente
> in Enschede, Netherlands. This workshop would be sponsored by the
> European EMANICS project.
> 
> Please send comments about this proposal to this list. If you plan to
> attend such a workshop, please also drop me a note.

I got some private requests and I started to create an agenda for the
proposed meeting. It is available from the NMRG web pages:

http://www.ibr.cs.tu-bs.de/projects/nmrg/meetings/2007/enschede/

This is still subject to change as we are finalizing some more
topics/ideas. The first day, we will collect some reports about what
people are doing related to the Internet management framework and in
particular to SNMP trace analysis. During the second day, we try to
work out common metrics and terminology for SNMP trace analysis.

We are still open for additional topics and people to attend the
meeting.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>